
package com.kingdee.eas.custom.notify.web;

import java.util.LinkedList;
import java.util.List;
import java.util.Map;

import org.operamasks.faces.annotation.Inject;
import org.operamasks.faces.annotation.ManagedBean;
import org.operamasks.faces.annotation.ManagedBeanScope;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.MetaDataPK;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.bos.waf.annotation.IBOSBizCtrl;
import com.kingdee.bos.waf.util.OperateState;
import com.kingdee.bos.waf.winlet.edit.EditBean;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBase;
import org.operamasks.faces.annotation.Accessible;
import org.operamasks.faces.component.form.impl.*;
import com.kingdee.bos.waf.action.AbstractWebAction;
import javax.faces.event.AbortProcessingException;
import javax.faces.context.FacesContext;
import org.operamasks.faces.component.action.ActionEvent;
import org.operamasks.faces.annotation.Action;
import com.kingdee.bos.waf.winlet.BaseBean;
import com.kingdee.bos.metadata.entity.SelectorItemInfo;

import com.kingdee.eas.custom.notify.IRemoveContext;
import com.kingdee.eas.custom.notify.RemoveContextInfo;

public abstract class AbstractRemoveContextEditUIBean extends com.kingdee.bos.waf.winlet.edit.EditBean {

	@IBOSBizCtrl
	protected com.kingdee.eas.custom.notify.IRemoveContext service;

	public AbstractRemoveContextEditUIBean() {
		super();
	}

	
	
	@Override
	public void createNewModel() {
		model = new RemoveContextInfo();
	}

	@Override
	public void pageOnload() {
		super.pageOnload();
		
		
	}

	@Override
	public void saveModel() {
		updateModel();
		super.saveModel();
	}

	@Override
	public void submitModel() {
		updateModel();
		super.submitModel();
	}


	protected void updateModel() {


	}
	
		

	@Override
	protected ICoreBase getBizInterface() {
		return service;
	}
	
	@Override
	public IMetaDataPK getMetaDataPK() {
		return new MetaDataPK("com.kingdee.eas.custom.notify.web.RemoveContextEditUI");
	}
	
	@Override
	protected String getEntryPKName() {
	
		return super.getEntryPKName();
	
	}

	@Override
	public SelectorItemCollection getSelectors() {
		SelectorItemCollection sic = super.getSelectors();
        sic.add(new SelectorItemInfo("name"));
        sic.add(new SelectorItemInfo("number"));
        sic.add(new SelectorItemInfo("description"));
        sic.add(new SelectorItemInfo("simpleName"));
        sic.add(new SelectorItemInfo("appName"));
        sic.add(new SelectorItemInfo("modelName"));
        sic.add(new SelectorItemInfo("modelId"));
        sic.add(new SelectorItemInfo("key"));
        sic.add(new SelectorItemInfo("param1"));
        sic.add(new SelectorItemInfo("param2"));
        sic.add(new SelectorItemInfo("targets"));
        sic.add(new SelectorItemInfo("optType"));
        sic.add(new SelectorItemInfo("type"));
	
		return sic;
	}			
    	protected String getTDTemplateName() {
	    	return "/bim/custom/notify/RemoveContext";
		}
	    protected com.kingdee.bos.metadata.IMetaDataPK getTDQueryPK() {
	    	return new com.kingdee.bos.metadata.MetaDataPK("com.kingdee.eas.custom.notify.app.RemoveContextQuery");
	    }

}
